Package org.eclipse.lemminx.client

## Class CodeLensKindCapabilities

- java.lang.Object
- - org.eclipse.lemminx.client.CodeLensKindCapabilities

    public class CodeLensKindCapabilities
    extends Object

Specific capabilities for the `CodeLensKind`.

### Constructor Summary

Constructors
`CodeLensKindCapabilities()`
`CodeLensKindCapabilities​(List<String> valueSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`List<String>` `getValueSet()` The codeLens kind values the client supports.
`int` `hashCode()`
`void` `setValueSet​(List<String> valueSet)` The codeLens kind values the client supports.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CodeLensKindCapabilities

    public CodeLensKindCapabilities()

#### CodeLensKindCapabilities

    public CodeLensKindCapabilities​(List<String> valueSet)

### Method Detail

#### getValueSet

    public List<String> getValueSet()

The codeLens kind values the client supports. When this property exists the client also guarantees that it will handle values outside its set gracefully and falls back to a default value when unknown. If this property is not present the client only supports the codeLens kinds from `File` to `Array` as defined in the initial version of the protocol.

#### setValueSet

    public void setValueSet​(List<String> valueSet)

The codeLens kind values the client supports. When this property exists the client also guarantees that it will handle values outside its set gracefully and falls back to a default value when unknown. If this property is not present the client only supports the codeLens kinds from `File` to `Array` as defined in the initial version of the protocol.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`